package com.ruoyi.project.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.project.domain.TrsSensitiveResults;

/**
 * 常见错误监测Service接口
 * 
 * @author ruoyi
 * @date 2025-03-19
 */
public interface ITrsSensitiveResultsService 
{
    /**
     * 查询常见错误监测
     * 
     * @param id 常见错误监测主键
     * @return 常见错误监测
     */
    public TrsSensitiveResults selectTrsSensitiveResultsById(Long id);

    /**
     * 查询常见错误监测列表
     * 
     * @param trsSensitiveResults 常见错误监测
     * @return 常见错误监测集合
     */
    public List<TrsSensitiveResults> selectTrsSensitiveResultsList(TrsSensitiveResults trsSensitiveResults);

    /**
     * 新增常见错误监测
     * 
     * @param trsSensitiveResults 常见错误监测
     * @return 结果
     */
    public int insertTrsSensitiveResults(TrsSensitiveResults trsSensitiveResults);

    /**
     * 修改常见错误监测
     * 
     * @param trsSensitiveResults 常见错误监测
     * @return 结果
     */
    public int updateTrsSensitiveResults(TrsSensitiveResults trsSensitiveResults);

    /**
     * 批量删除常见错误监测
     * 
     * @param ids 需要删除的常见错误监测主键集合
     * @return 结果
     */
    public int deleteTrsSensitiveResultsByIds(String ids);

    /**
     * 删除常见错误监测信息
     * 
     * @param id 常见错误监测主键
     * @return 结果
     */
    public int deleteTrsSensitiveResultsById(Long id);

    Map<String, Integer> getStatistics(TrsSensitiveResults trsSensitiveResults);

    TrsSensitiveResults selectTrsSensitiveResultsByIdV2(Long id);
}
